package com.agilex.vamf.missionhealth.service;

/**
 * Created with IntelliJ IDEA.
 * User: vguthrie
 * Date: 10/28/13
 * Time: 12:56 PM
 */
public class PointsRule {

    private Integer id;
    private ThresholdValues missionThresholds;
    private ThresholdValues pointThresholds;
    private Integer missionsToAchieveLevel;
    private Integer pointsForNewTroop;
    private Integer troopsAllocated;
    
    public ThresholdValues getMissionThresholds() {
        return missionThresholds;
    }

    public void setMissionThresholds(ThresholdValues missionThresholds) {
        this.missionThresholds = missionThresholds;
    }

    public ThresholdValues getPointThresholds() {
        return pointThresholds;
    }

    public void setPointThresholds(ThresholdValues pointThresholds) {
        this.pointThresholds = pointThresholds;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMissionsToAchieveLevel() {
        return missionsToAchieveLevel;
    }

    public void setMissionsToAchieveLevel(Integer missionsToAchieveLevel) {
        this.missionsToAchieveLevel = missionsToAchieveLevel;
    }

    public Integer getPointsForNewTroop() {
        return pointsForNewTroop;
    }

    public void setPointsForNewTroop(Integer pointsForNewTroop) {
        this.pointsForNewTroop = pointsForNewTroop;
    }

	public Integer getTroopsAllocated() {
		return troopsAllocated;
	}

	public void setTroopsAllocated(Integer troopsAllocated) {
		this.troopsAllocated = troopsAllocated;
	}
    
    
}
